Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomModelShellFaces

Returns an array of `PetscGeom` FACE objects attached to the referenced SHELL geometric entity as well as the number of FACEs.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomModelShellFaces(DM dm, PetscGeom body, PetscGeom shell, PetscGeom **faces, PetscInt *numFaces) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom BODY object containing the FACE objects of interest.

- shell - PetscGeom SHELL object with FACEs of interest.

## Output Parameters

- faces - Array of PetscGeom FACE objects referenced by the PetscGeom SHELL object

- numFaces - Number of FACEs referenced by the PetscGeom SHELL object. Also the size of **faces array.

## See Also

`DMPlexGetGeomModelBodies()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages